#ifndef UPLOADS_H
#define UPLOADS_H

#include "ftpaccess.h"
#include "InputCtl.h"
#include <qwidget.h>
#include <qcheckbox.h>
#include <kapp.h>
#include <qlistbox.h>
#include <qpushbutton.h>

class Uploads : public QWidget {
	Q_OBJECT
public:
	Uploads(QWidget *parent=0, const char *name=0);
	~Uploads();
public slots:
	void	ftpaccessLoaded(ftpaccess *xs);
	void	update();
	void	addUploadPressed();
	void	editUploadPressed();
	void	rmUploadPressed();
	void	UploadAdded(ftpupload *upload);
	void	UploadEdited(ftpupload *upload);
private:
	void	redraw();
	ftpaccess *	ftpxs;
	QListBox *	uploads;
	QPushButton *	addUpload;
	QPushButton *	editUpload;
	QPushButton *	rmUpload;
};

#endif
